# Kullanıcı Listeleme

Kullanıcı listeleme servisi üye işyerine tanımlamış olan kullanıcılar listeler. Listelenen kullanıcıların ceppos kullanma yetki durumunu bu servisle öğrenebilirsiniz.

<mark style="color:green;">`GET`</mark> `https://api.iyzipay.com/v2/in-store/user-info/list`

#### Headers

| Parametre         | Zorunluluk | Veri Tipi | Açıklama                 |
| ----------------- | ---------- | --------- | ------------------------ |
| **x-api-key**     | Evet       | String    | CepPOS API Anahtarı      |
| **x-secret-key**  | Evet       | String    | CepPOS Güvenlik Anahtarı |
| **x-merchant-id** | Evet       | Integer   | Üye İşyeri Numarası      |

#### İstek **Parametreleri**

Body boş gönderilmesi gerekmektedir.

#### **Yanıt Parametreleri**

Kullanıcı listeleme servisinden dönen parametreler aşağıdaki gibidir.

<table><thead><tr><th width="229">Parametre</th><th>Veri Tipi</th><th>Açıklama</th></tr></thead><tbody><tr><td><strong>status</strong></td><td>String</td><td>Yapılan isteğin sonucunu bildirir.</td></tr><tr><td><strong>errorCode</strong></td><td>String</td><td>İşlem hatalıysa, bu hataya dair belirtilen koddur.</td></tr><tr><td><strong>errorMessage</strong></td><td>String</td><td>İşlem hatalıysa, bu hataya dair belirtilen mesajdır.</td></tr><tr><td><strong>errorGroup</strong></td><td>String</td><td>İşlem hatalıysa, bu hataya dair belirtilen gruptur.</td></tr><tr><td><strong>locale</strong></td><td>String</td><td>İstekte belirtilen locale değeri geri dönülür, varsayılan değeri tr’dir.</td></tr><tr><td><strong>systemTime</strong></td><td>Integer</td><td>Dönen sonucun o anki unix timestamp değeridir.</td></tr><tr><td><strong>conversationId</strong></td><td>String</td><td>İstek esnasında gönderilmişse, sonuçta aynen geri iletilir.</td></tr><tr><td><strong>userInfoList</strong></td><td>Array</td><td>İlgili üye işyerine ait kullanıcıları listeler.</td></tr><tr><td>userInfoList -> <strong>email</strong></td><td>String</td><td>İlgili üye işyerine ait kullanıcının eposta bilgisidir.</td></tr><tr><td>userInfoList -> <strong>canPerformAction</strong></td><td>Boolean</td><td>İlgili üye işyerine ait kullanıcının ceppos kullanabilme yetkisini gösterir.</td></tr></tbody></table>

{% hint style="info" %}
**canPerformAction** parametresinde **true** değeri olan kullanıcılar ile Ceppos işlemleri yapabilirsiniz.
{% endhint %}

#### **Yanıt Örneği**

```json
{
    "status": "success",
    "errorCode": null,
    "errorMessage": null,
    "errorGroup": null,
    "locale": null,
    "systemTime": 1726783086932,
    "conversationId": null,
    "userInfoList": [
        {
            "email": "kullanici1@iyzico.com",
            "canPerformAction": true
        },
        {
            "email": "kullanici2@iyzico.com",
            "canPerformAction": false
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iyzico.com/urunler/ceppos-app2app/app2app-entegrasyonu/kullanici-listeleme.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
